Subject: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Apr 2025 10:57:00 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 24 Apr 2025 08:29:22 +0200
> 
> > Is there a standard benchmark code that I can try for this?  I have such
> > a large HTML file with Tamil text, and I can scroll through the buffer
> > produced by shr-render-buffer.
> 
> The elisp-benchmarks package has an elb-scroll.el, in its benchmarks
> directory. AFAICT, that loads an xmenu.c from the resources
> sub-directory of the benchmarks.

Please test scrolling with non-ASCII characters, not with xmenu.c
(which is pure-ASCII), since charpos-to-bytepos conversions in
pure-ASCII buffers are trivial.